Skip to main content
GET
/
catalog
/
platforms
/
{platform_id}
/
services
List services for a platform
curl --request GET \
  --url https://api.getdialed.ai/flows/catalog/platforms/{platform_id}/services
import requests

url = "https://api.getdialed.ai/flows/catalog/platforms/{platform_id}/services"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.getdialed.ai/flows/catalog/platforms/{platform_id}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "auth_method": "basic_auth",
    "base_url": "https://api.five9.com/wsadmin/v13",
    "docs_url": "https://webapps.five9.com/assets/files/for_customers/documentation/apis/config-webservices-api-reference-guide.pdf",
    "id": "five9__configuration",
    "name": "Configuration API",
    "platform_id": "five9",
    "protocol": "soap",
    "status": "active"
  }
]
{
"detail": "Platform not found: five9"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
{
"detail": "Rate limit exceeded: 100 per 1 minute"
}

Path Parameters

platform_id
string
required

Response

Successful Response

id
string
required
platform_id
string
required
name
string
required
protocol
string
required
auth_method
string
required
base_url
string
required
status
string
required
docs_url
string | null